Cancel an order
curl --request POST \
--url https://api.series.hr/fnb/cancel-order/{orderNumber} \
--header 'apikey: <api-key>'import requests
url = "https://api.series.hr/fnb/cancel-order/{orderNumber}"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://api.series.hr/fnb/cancel-order/{orderNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Food & Beverage
Cancel Order
Cancel an active F&B order
POST
/
fnb
/
cancel-order
/
{orderNumber}
Cancel an order
Cancel an active order. Cannot cancel an order that has already been served.
Request
curl -X POST https://api.series.hr/fnb/cancel-order/12 \
-H "apikey: YOUR_API_KEY"
Path Parameters
string
required
The order number to cancel.
Response
{
"success": true,
"data": {
"WorkspaceId": "a7d5339a-5531-4336-99c6-6f3249c9ac20",
"OrderNumber": "12",
"Action": "cancel",
"Order": {
"Id": "1717027200000",
"Customer": {
"UserId": 714760171,
"Username": "builderman",
"DisplayName": "Builderman",
"AvatarUrl": "https://tr.rbxcdn.com/..."
},
"OrderType": "dine-in",
"TableNumber": "T1",
"OrderNumber": "12",
"Items": [],
"Status": "cancelled",
"ClaimStatus": "not-claimed",
"ClaimedBy": null,
"Total": 50,
"CreatedAt": "2026-04-05T11:30:00.000Z",
"CreatedBy": "714760171",
"UpdatedAt": "2026-04-05T12:10:00.000Z"
}
}
}
Status Codes
200: Order cancelled successfully400: Order is already cancelled or already served401: API key is required or invalid403: F&B module is disabled or workspace access is denied404: Order not found
⌘I

